Package: org.codehaus.groovy.runtime

## [Java] Class WritablePath

- org.codehaus.groovy.runtime.WritablePath

- All Implemented Interfaces and Traits:
    Path, Writable

      @Deprecated
      public class WritablePath

  A Writable Path.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WritablePath (Path delegate)`
    `WritablePath (Path delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compareTo(Path other)`
    `` | `public boolean` | `endsWith(Path other)`
    `` | `public boolean` | `endsWith(String other)`
    `` | `public boolean` | `equals(Object other)`
    `` | `public Path` | `getFileName()`
    `` | `public FileSystem` | `getFileSystem()`
    `` | `public Path` | `getName(int index)`
    `` | `public int` | `getNameCount()`
    `` | `public Path` | `getParent()`
    `` | `public Path` | `getRoot()`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isAbsolute()`
    `` | `public Iterator<Path>` | `iterator()`
    `` | `public Path` | `normalize()`
    `` | `public WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier modifiers)`
    `` | `public WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?> events)`
    `` | `public Path` | `relativize(Path other)`
    `` | `public Path` | `resolve(Path other)`
    `` | `public Path` | `resolve(String other)`
    `` | `public Path` | `resolveSibling(Path other)`
    `` | `public Path` | `resolveSibling(String other)`
    `` | `public boolean` | `startsWith(Path other)`
    `` | `public boolean` | `startsWith(String other)`
    `` | `public Path` | `subpath(int beginIndex, int endIndex)`
    `` | `public Path` | `toAbsolutePath()`
    `` | `public File` | `toFile()`
    `` | `public Path` | `toRealPath(LinkOption options)`
    `` | `public String` | `toString()`
    `` | `public URI` | `toUri()`
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WritablePath(Path delegate)

    - #### public WritablePath(Path delegate, String encoding)

  - ### Method Detail

    - #### @Override public int compareTo(Path other)

    - #### @Override public boolean endsWith(Path other)

    - #### @Override public boolean endsWith(String other)

    - #### @Override public boolean equals(Object other)

    - #### @Override public Path getFileName()

    - #### @Override public FileSystem getFileSystem()

    - #### @Override public Path getName(int index)

    - #### @Override public int getNameCount()

    - #### @Override public Path getParent()

    - #### @Override public Path getRoot()

    - #### @Override public int hashCode()

    - #### @Override public boolean isAbsolute()

    - #### @Override public Iterator<Path> iterator()

    - #### @Override public Path normalize()

    - #### @Override public WatchKey register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier modifiers)

    - #### @Override public WatchKey register(WatchService watcher, WatchEvent.Kind<?> events)

    - #### @Override public Path relativize(Path other)

    - #### @Override public Path resolve(Path other)

    - #### @Override public Path resolve(String other)

    - #### @Override public Path resolveSibling(Path other)

    - #### @Override public Path resolveSibling(String other)

    - #### @Override public boolean startsWith(Path other)

    - #### @Override public boolean startsWith(String other)

    - #### @Override public Path subpath(int beginIndex, int endIndex)

    - #### @Override public Path toAbsolutePath()

    - #### @Override public File toFile()

    - #### @Override public Path toRealPath(LinkOption options)

    - #### @Override public String toString()

    - #### @Override public URI toUri()

    - #### public Writer writeTo(Writer out)